<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Dto;

final class AfterMigrateDefinition
{
    /** @var array|string[] */
    private array $sql;

    private function __construct(array $sql)
    {
        $this->sql = $sql;
    }

    public function getSql(): array
    {
        return $this->sql;
    }

    public static function fromArray(array $data): self
    {
        return new self($data['sql']);
    }
}
